GET
/api/v1/container_registry/registries/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/?cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/", params={"cr_project_id": "<CR_PROJECT_ID>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/registries/");url.search = new URLSearchParams({ cr_project_id: "<CR_PROJECT_ID>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
cr_project_id
required
integer
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Registry information fetched successfully.
Media typeapplication/json
object
code
integer
data
Array<object>
object
registry_name
string
registry_type
string
registry_id
integer
registry_url
string
registry_insecure
boolean
customer
integer
project
integer
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string format: date-time
registry_description
string
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": [ { "registry_name": "docker-12", "registry_type": "docker-hub", "registry_id": 49, "registry_url": "https://hub.docker.com", "registry_insecure": false, "customer": 12345, "project": 123, "created_at": "2025-04-29T09:34:44.287830Z", "updated_at": "2025-04-29T09:34:44.287924Z", "deleted_at": null, "registry_description": null } ], "errors": {}, "message": "Success"}